<template>
  <div @click="$emit('click')">
    <template v-if="kmOnly">
      <div class="price" v-if="price && price.priceKm > 0">
        <div class="price__stage">
          {{ priceFormat(price.priceKm) }}
          <span class="price__km-currency">₽/км</span>
        </div>
      </div>
    </template>
    <template v-else>
      <div class="price" v-if="price && price.priceStage > 0">
        <div class="price__stage">
          {{ priceFormat(price.priceStage) }}
        </div>
        <div class="price__km" v-if="price.priceKm && price.priceKm > 0">
          <span class="price__km-currency">₽/км</span>
          {{ priceFormat(price.priceKm) }}
        </div>
      </div>
    </template>
  </div>
</template>
<script>


export default {
  name: 'PriceView',
  props: {
    kmOnly: {
      type: Boolean,
      default: () => false
    },
    price: {
      type: Object,
      default: () => {}
    }
  },
  methods: {
    priceFormat(value, divider = 100) {
      let num = parseFloat((value/divider).toFixed(2)).toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ");
      return num.replace('.', ',');
    },
  }
}
</script>
<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.price{
  text-align: right;

  &__stage{
    font-size: 16px;

    &.gray{
      color: $gray-slate;
    }

    .price__km-currency{
      font-size: 12px;
      color: $gray-slate;
    }
  }

  &__km{
    color: $gray-slate;
    font-size: 12px;
  }

  &__km-currency{
    margin-right: 5px;
  }
}

</style>
